##=============================================================================
##   This file is part of VTKEdge. See vtkedge.org for more information.
##
##   Copyright (c) 2008 Kitware, Inc.
##
##   VTKEdge may be used under the terms of the GNU General Public License 
##   version 3 as published by the Free Software Foundation and appearing in 
##   the file LICENSE.txt included in the top level directory of this source
##   code distribution. Alternatively you may (at your option) use any later 
##   version of the GNU General Public License if such license has been 
##   publicly approved by Kitware, Inc. (or its successors, if any).
##
##   VTKEdge is distributed "AS IS" with NO WARRANTY OF ANY KIND, INCLUDING
##   THE WARRANTIES OF DESIGN, MERCHANTABILITY, AND FITNESS FOR A PARTICULAR
##   PURPOSE. See LICENSE.txt for additional details.
##
##   VTKEdge is available under alternative license terms. Please visit
##   vtkedge.org or contact us at kitware@kitware.com for further information.
##
##=============================================================================

# -----------------------------------------------------------------------------
# Find ApplicationServices umbrella framework (Mac OS X).
#
# ApplicationServices is an umbrella framework. Notably, it includes
# CoreGraphics framework.
# CoreGraphics (aka Quartz) is the framework representation of the window
# server.
#
# Define:
# ApplicationServices_FOUND
# ApplicationServices_INCLUDE_DIR
# ApplicationServices_LIBRARY

set(ApplicationServices_FOUND false)
set(ApplicationServices_INCLUDE_DIR)
set(ApplicationServices_LIBRARY)

if(APPLE) # The only platform it makes sense to check for ApplicationServices
 find_library(ApplicationServices ApplicationServices)
 if(ApplicationServices)
  set(ApplicationServices_FOUND true)
  set(ApplicationServices_INCLUDE_DIR ${ApplicationServices})
  set(ApplicationServices_LIBRARY ${ApplicationServices})
 endif(ApplicationServices)

endif(APPLE)
